import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class OnlineHelp extends MIDlet implements CommandListener
{
  private Display display;
  private Command back;
  private Command exit; 
  private Command help; 
  private Form form;
  private TextBox helpMesg;
  public OnlineHelp()
  {
    display = Display.getDisplay(this);
    back = new Command("Back", Command.BACK, 2);
    exit = new Command("Exit", Command.EXIT, 1);
    help = new Command("Help", Command.HELP, 3);
    form = new Form("Online Help Example"); 
    helpMesg = new TextBox("Online Help", "Press Back to return to the previous screen or press Exit Exist to close this program.", 81, 0);
    helpMesg.addCommand(back);
    form.addCommand(exit);
    form.addCommand(help);    
    form.setCommandListener(this);
    helpMesg.setCommandListener(this);
   }
  public void startApp()
   {
    display.setCurrent(form);
   }
  public void pauseApp()
  {
  }
  public void destroyApp(boolean unconditional)
  {
  }
  public void commandAction(Command command, 
                            Displayable displayable)
  {
    if (command == back)
    {
      display.setCurrent(form);
    }
    else if (command == exit) 
    {
     destroyApp(false);
     notifyDestroyed();
    } 
    else if (command == help)
    {  
     display.setCurrent(helpMesg);	
    }
  }
}
