import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class ListRadioButtons extends MIDlet implements CommandListener
{
  private Display display;
  private Command exit; 
  private Command submit; 
  private List list; 
  public ListRadioButtons()
  {
    display = Display.getDisplay(this);
    list = new List("Select one", List.EXCLUSIVE);
    list.append("Male", null);
    list.append("Female", null);
    exit = new Command("Exit", Command.EXIT, 1);
    submit = new Command("Submit", Command.SCREEN,2);
    list.addCommand(exit);
    list.addCommand(submit);
    list.setCommandListener(this);   
  }
  public void startApp()
  {
    display.setCurrent(list);
  }
  public void pauseApp()
  { 
  }
  public void destroyApp(boolean unconditional)
  { 
  }
  public void commandAction(Command command, Displayable Displayable)
  {
    if (command == submit)
    {
      Alert alert = new Alert("Choice", 
                       list.getString(list.getSelectedIndex()), 
                       null, null);
      alert.setTimeout(Alert.FOREVER);
      alert.setType(AlertType.INFO);
      display.setCurrent(alert);
      list.removeCommand(submit);
    }
    else if (command == exit)
    {
      destroyApp(false);  
      notifyDestroyed();
    }
  }
}
