import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class CheckBoxes extends MIDlet implements CommandListener
{
  private Display display;
  private Form form; 
  private Command exit; 
  private Command process; 
  private ChoiceGroup movies; 
  private int movieIndex; 
  public CheckBoxes()
  {
    display = Display.getDisplay(this);
    movies = new ChoiceGroup("Select Movies You Like to See", 
                             Choice.MULTIPLE);
    movies.append("Action", null);
    movies.append("Romance", null);
    movies.append("Comedy", null);  
    movies.append("Horror", null);  
    exit = new Command("Exit", Command.EXIT, 1);
    process = new Command("Process", Command.SCREEN,2);
    form = new Form("Movies");
    movieIndex = form.append(movies);
    form.addCommand(exit);
    form.addCommand(process);
    form.setCommandListener(this);   
  }
  public void startApp()
  {
    display.setCurrent(form);
  }
  public void pauseApp()
  { 
  }
  public void destroyApp(boolean unconditional)
  { 
  }
  public void commandAction(Command command, Displayable displayable)
  {
    if (command == process)
    {
      boolean picks[] = new boolean[movies.size()];
      StringItem message[] = new StringItem[movies.size()];
      movies.getSelectedFlags(picks);
      for (int x = 0; x < picks.length; x++)
      {
        if (picks[x])
        {
         message[x] = new StringItem("",movies.getString(x)+"\n");
         form.append(message[x]);
        }    
       }
      form.delete(movieIndex);
      form.removeCommand(process);
    }
    else if (command == exit)
    {
          destroyApp(false);
          notifyDestroyed();
        }
  }
}
