import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class RadioButtons extends MIDlet implements CommandListener
{
  private Display display;
  private Form form; 
  private Command exit; 
  private Command process; 
  private ChoiceGroup gender; 
  private int currentIndex; 
  private int genderIndex; 
  public RadioButtons()
  {
    display = Display.getDisplay(this);
    gender = new ChoiceGroup("Enter Gender", Choice.EXCLUSIVE);
    gender.append("Female", null);
    currentIndex = gender.append("Male ", null);
    gender.setSelectedIndex(currentIndex, true);
    exit = new Command("Exit", Command.EXIT, 1);
    process = new Command("Process", Command.SCREEN,2);
    form = new Form("Gender");
    genderIndex = form.append(gender);
    form.addCommand(exit);
    form.addCommand(process);
    form.setCommandListener(this);   
  }
  public void startApp()
  {
    display.setCurrent(form);
  }
  public void pauseApp()
  { 
  }
  public void destroyApp(boolean unconditional)
  { 
  }
  public void commandAction(Command command, Displayable displayable)
  {
    if (command == exit)
    {
          destroyApp(false);
          notifyDestroyed();
    }
    else if (command == process)
    {
      currentIndex = gender.getSelectedIndex();
      StringItem message = new StringItem("Gender: ", gender.getString(currentIndex));
      form.append(message);      
      form.delete(genderIndex);
      form.removeCommand(process);
    }
  }
}
