import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class ArcFilledExample extends MIDlet
{
  private Display  display;    
  private MyCanvas canvas;   
  public ArcFilledExample()
  {
    display = Display.getDisplay(this);
    canvas  = new MyCanvas (this);
  }
  protected void startApp()
  {
    display.setCurrent( canvas );
  }
  protected void pauseApp()
  { 
  }
  protected void destroyApp( boolean unconditional )
  { 
  }
  public void exitMIDlet()
  {
    destroyApp(true);
    notifyDestroyed();
  }
}
class MyCanvas extends Canvas implements CommandListener
{
  private Command exit;  
  private ArcFilledExample arcFilledExample;
  public MyCanvas (ArcFilledExample arcFilledExample)
  {
    this.arcFilledExample = arcFilledExample;
    exit = new Command("Exit", Command.EXIT, 1);
    addCommand(exit);
    setCommandListener(this);
  } 
  protected void paint(Graphics graphics)
  {
    graphics.setColor(255,255,255);
    graphics.fillRect(0, 0, getWidth(), getHeight());
    graphics.setColor(255,0,0);
    graphics.fillArc(0, 0, getWidth(), getHeight(), 180, 180);  
  }
  public void commandAction(Command command, Displayable displayable)
  {
    if (command == exit)
    {
      arcFilledExample.exitMIDlet();
    }
  }
}
