import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class RadioButtons extends MIDlet 
             implements ItemStateListener, CommandListener
{
  private Display display;
  private Form form; 
  private Command exit; 
  private Item selection; 
  private ChoiceGroup radioButtons; 
  private int defaultIndex; 
  private int radioButtonsIndex; 
  public RadioButtons()
  {
    display = Display.getDisplay(this); 
    radioButtons = new ChoiceGroup(
                         "Select Your Color", 
                          Choice.EXCLUSIVE); 
    radioButtons.append("Red", null);
    radioButtons.append("White", null);
    radioButtons.append("Blue", null);    
    radioButtons.append("Green", null);   
    defaultIndex = radioButtons.append("All", null); 
    radioButtons.setSelectedIndex(defaultIndex, true);
    exit = new Command("Exit", Command.EXIT, 1);
    form = new Form("");
    radioButtonsIndex = form.append(radioButtons);
    form.addCommand(exit);
    form.setCommandListener(this);   
    form.setItemStateListener(this);
  }   
  public void startApp()
  {
     display.setCurrent(form);
  }
  public void pauseApp()
  {
  }
  public void destroyApp(boolean unconditional)
  {
  }
  public void commandAction(Command command, 
                            Displayable displayable)
  {
    if (command == exit)
    {
       destroyApp(true);
       notifyDestroyed();
    }	
  }
  public void itemStateChanged(Item item)
  {
   if (item == radioButtons)
   { 
      StringItem msg = new StringItem("Your color is ",    
             radioButtons.getString(radioButtons.getSelectedIndex()));
      form.append(msg);       
   }
  }
}
