import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class TextExample extends MIDlet
{
  private Display  display;       
  private MyCanvas canvas;      
  public TextExample ()
  {
    display = Display.getDisplay(this);
    canvas  = new MyCanvas (this);
  }
  protected void startApp()
  {
    display.setCurrent(canvas);
  }
  protected void pauseApp()
  { 
  }
  protected void destroyApp( boolean unconditional )
  { 
  }
  public void exitMIDlet()
  {
    destroyApp(true);
    notifyDestroyed();
  }
}
class MyCanvas extends Canvas implements CommandListener
{
  private Command exit;  
  private TextExample textExample;
  public MyCanvas (TextExample textExample)
  {
    this. textExample = textExample;
    exit = new Command("Exit", Command.EXIT, 1);
    addCommand(exit);
    setCommandListener(this);
  } 
  protected void paint(Graphics graphics)
  {
    graphics.setColor(255,255,255);
    graphics.fillRect(0, 0, getWidth(), getHeight());
    graphics.setColor(255,0,0);
    graphics.setFont(Font.getFont(Font.FACE_PROPORTIONAL, 
                          Font.STYLE_BOLD, Font.SIZE_SMALL));
    graphics.drawString("Profound statement.", 50, 10, Graphics.HCENTER|Graphics.BASELINE);  
   }
  public void commandAction(Command command, Displayable displayable)
  {
    if (command == exit)
    {
      textExample.exitMIDlet();
    }
  }   
}
