import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class ImmutableImageExample extends MIDlet
{
  private Display  display;     
  private MyCanvas canvas;   
  public ImmutableImageExample ()
  {
    display = Display.getDisplay(this);
    canvas  = new MyCanvas (this);
  }
  protected void startApp()
  {
    display.setCurrent( canvas );
  }
  protected void pauseApp()
  { 
  }
  protected void destroyApp( boolean unconditional )
  { 
  }
  public void exitMIDlet()
  {
    destroyApp(true);
    notifyDestroyed();
  }
  class MyCanvas extends Canvas implements CommandListener
  {
    private Command exit;  
    private ImmutableImageExample immutableImageExample;
    private Image image = null;
    public MyCanvas (ImmutableImageExample immutableImageExample)
    {
      this. immutableImageExample = immutableImageExample;
      exit = new Command("Exit", Command.EXIT, 1);
      addCommand(exit);
      setCommandListener(this);
      try
      {
        image = Image.createImage(/myImage.png);
      }
      catch (Exception error)
      {
        Alert alert = new Alert(Failure, 
                      Cant open image file., null, null);
        alert.setTimeout(Alert.FOREVER);
        display.setCurrent(alert);
      }    
    } 
    protected void paint(Graphics graphics)
    {
      if (image != null)
      {
        graphics.drawImage(image, 0, 0, 
                       Graphics.VCENTER | Graphics.HCENTER);
      }
    }
    public void commandAction(Command command, Displayable display)
    {
      if (command == exit)
      {
        immutableImageExample.exitMIDlet();
      }
    }
  }
}
